Recent

Author Topic: RaspBerry PI3 - Jessie - OpenCV 3 demo  (Read 4352 times)

PeterBalch

  • Newbie
  • Posts: 3
Re: RaspBerry PI3 - Jessie - OpenCV 3 demo
« Reply #15 on: June 12, 2019, 06:24:28 pm »
Thanks. Unfortunately, that didn't fix the errors.

The command line you suggested didn't work. The "sudo su" part made me into a super-user but the subsequent commands didn't execute. So I did them individually:

sudo apt-get update
sudo apt-get dist-upgrade -y
sudo apt-get install libopencv-dev

I presume that's right. I also tried it as a super-user. I don't understand why that's different from what I did before but I'm new to all this Linux magic incantation stuff.

I'd have expected the apt-get to install files called cv.o and highgui.o - isn't that what the linker is wanting? But searching the filing system found several copies of cv.h, cv.hpp, highgui.h and highgui.hpp. No .o files.

What could I try next?

Thank you for your help.

Peter

(Sorry for the slow reply. I'd expected the forum to email me when there was a post waiting for me. Perhaps I have my preferences set up wrongly.)


Thaddy

  • Hero Member
  • *****
  • Posts: 7954
Re: RaspBerry PI3 - Jessie - OpenCV 3 demo
« Reply #16 on: June 12, 2019, 08:26:40 pm »
I have no clue, because that works here... (written from a Raspberry Pi 3  O:-) )
We have to do this probably step by step. I have a lot of Pi's and this should work...  :'( :(
« Last Edit: June 12, 2019, 08:28:21 pm by Thaddy »
Hamlet 1.4 (nothing wrong with the Danish, btw)

PeterBalch

  • Newbie
  • Posts: 3
Re: RaspBerry PI3 - Jessie - OpenCV 3 demo
« Reply #17 on: June 14, 2019, 12:07:05 am »
Linux assures me that I already have the latest versions of all the dev packages I try to install.

I presume that the install should have given me copies of
  highgui.so
  cv.so
or perhaps it's
  libhighgui.so
  libcv.so

Looking at the code in OpenCV.pas (line 125 approx), prehaps it should be
  libhighgui.so.2.1
  libcv.so.2.1

I don't have any of those files on my drive. Can I download them from somewhere?

I do have a copy of
  libopencv_highgui.so

Is this a problem of clashing version numbers?

Thank you.

Peter

(I have Raspberry Pi 3B+, Lazarus 2.0.0, OpenCV 3.4.0, Raspbian 9.9, Pi Camera)